Edit

Topology - Get Eventstream Source Connection

Returns the connection information of specified source of the eventstream.

Permissions

The caller must have read and write permissions for the eventstream.

Required Delegated Scopes

Eventstream.ReadWrite.All or Item.ReadWrite.All

Limitations

Only custom endpoints sources are supported.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/eventstreams/{eventstreamId}/sources/{sourceId}/connection

URI Parameters

Name In Required Type Description
eventstreamId
path True

string (uuid)

The eventstream ID.

sourceId
path True

string (uuid)

The source ID.

workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

SourceConnectionResponse

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - The requested item was not found.

Examples

Get an eventstream source connection example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/eventstreams/8c500070-073f-4a88-b478-8fabe1941c52/sources/f344e2e0-e846-4991-ac26-d27dfb6a73c2/connection

Sample response

{
  "fullyQualifiedNamespace": "namespace.servicebus.windows.net",
  "eventHubName": "eventhub",
  "accessKeys": {
    "primaryKey": "key1",
    "secondaryKey": "key2",
    "primaryConnectionString": "connectionString1",
    "secondaryConnectionString": "connectionString2"
  }
}

Definitions

Name Description
AccessKeys

The access keys.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

SourceConnectionResponse

Represents the connection information for a source custom endpoint.

AccessKeys

The access keys.

Name Type Description
primaryConnectionString

string

The primary connection string.

primaryKey

string

The primary key.

secondaryConnectionString

string

The secondary connection string.

secondaryKey

string

The secondary key.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

SourceConnectionResponse

Represents the connection information for a source custom endpoint.

Name Type Description
accessKeys

AccessKeys

The access keys.

eventHubName

string

The name of the EventHub.

fullyQualifiedNamespace

string

The fully qualified namespace of the EventHub.